#include<iostream>
#include <vector>
using namespace std;
int main(){
    int N,Q;
    cin>>N>>Q;
    vector<long long>dani(N);
    vector <long long>kolicina(N);
    for (inti=0;i<N;i++){
        cin>>dani[i]>>kolicina[i];
    }
    for(int j=0;j<Q;j++){
        lon long kj;
        cin>>kj;
        long long ukupnopojedeno=0;
        for (int i=0;i<N;i++){
            if(dani[i]<N;i++){
                ukupnopojedeno+=kolicina[i];
            }else{
                break;
            }
        }
        cout<<ukupnopojedeno<<endl;
    }
    return 0;
}